svn::Pool Class Reference

`#include <pool.hpp>`

## Public Member Functions

| Pool (apr_pool_t *parent=(apr_pool_t *) 0)
virtual | ~Pool ()
apr_pool_t * | pool () const
| operator apr_pool_t * () const
void | renew ()

## Detailed Description

Class for encapsulation of apr/subversion pools

## Constructor & Destructor Documentation

svn::Pool::Pool | ( | apr_pool_t * | parent = `(apr_pool_t *) 0` | ) |

creates a subpool new pool to an existing pool

Parameters

  parent | NULL -> global pool

virtual svn::Pool::~Pool | ( |  | ) |

virtual

## Member Function Documentation

svn::Pool::operator apr_pool_t * | ( |  | ) | const

inline

operator to return apr handle to the pool

apr_pool_t* svn::Pool::pool | ( |  | ) | const

Returns
  apr handle to the pool

void svn::Pool::renew | ( |  | ) |

release pool and create a new one

The documentation for this class was generated from the following file:

- pool.hpp